prototypes:
  standard:
    formElementsDefinition:
      Recaptcha:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            200:
              identifier: label
              templateName: Inspector-TextEditor
              label: formEditor.elements.FormElement.editor.label.label
              propertyPath: label
            300:
              identifier: doNotShowLabel
              templateName: Inspector-CheckboxEditor
              label: formEditor.elements.Recaptcha.editor.doNotShowLabel.label
              propertyPath: renderingOptions.doNotShowLabel
            900:
              identifier: validators
              templateName: Inspector-ValidatorsEditor
              label: formEditor.elements.Recaptcha.editor.validators.label
              selectOptions:
                180:
                  value: Recaptcha
                  label: formEditor.elements.Recaptcha.editor.validators.Recaptcha.label
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor

          predefinedDefaults:
            renderingOptions:
              doNotShowLabel: true
            validators:
              -
                identifier: Recaptcha
          label: formEditor.elements.Recaptcha.label
          group: custom
          groupSorting: 700
          iconIdentifier: t3-form-icon-recaptcha

        implementationClassName: Evoweb\Recaptcha\Domain\Model\FormElements\RecaptchaElement

        properties:
          containerClassAttribute: recaptcha

    formEditor:
      formEditorPartials:
        FormElement-Recaptcha: Stage/SimpleTemplate
